Package org.eclipse.ecf.provider.dnssd

# Class Activator

java.lang.Object
org.eclipse.ecf.provider.dnssd.Activator

All Implemented Interfaces:
  `BundleActivator`

public class Activator extends Object implements BundleActivator

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Activator.DnsSdServiceFactory`
A ServiceFactory capable to handle DnsSdDiscoveryContainerAdapters

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADVERTISER`
`static final String`
`DISCOVERY_CONTAINER_NAME_VALUE`
`static final String`
`LOCATOR`
`static final String`
`PLUGIN_ID`

## Constructor Summary

Constructors
Constructor
Description
`Activator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(BundleContext context)`
`void`
`stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

### DISCOVERY_CONTAINER_NAME_VALUE

public static final String DISCOVERY_CONTAINER_NAME_VALUE

See Also:
  - Constant Field Values

### LOCATOR

public static final String LOCATOR

See Also:
  - Constant Field Values

### ADVERTISER

public static final String ADVERTISER

See Also:
  - Constant Field Values

## Constructor Details

### Activator

public Activator()

## Method Details

### start

public void start(BundleContext context) throws Exception

Specified by:
  `start` in interface `BundleActivator`
Throws:
  `Exception`

### stop

public void stop(BundleContext context) throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Throws:
  `Exception`